|  | Home · All Classes · Modules

# QFile.Permissions Class Reference
[QtCore module]

### Methods

- __init__ (self, Permissions)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- Permissions __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, Permissions f)
- Permissions __iand__ (self, int mask)
- int __int__ (self)
- Permissions __invert__ (self)
- Permissions __ior__ (self, Permissions f)
- Permissions __ixor__ (self, Permissions f)
- bool __ne__ (self, Permissions f)
- Permissions __or__ (self, Permissions f)
- Permissions __xor__ (self, Permissions f)

## Detailed Description

Permission may be used whenever Permissions is expected.

## Method Documentation

### Permissions.__init__ (self, Permissions)

### Permissions.__init__ (self, int)

### Permissions.__init__ (self)

### Permissions Permissions.__and__ (self, int mask)

### int Permissions.__bool__ (self)

### bool Permissions.__eq__ (self, Permissions f)

### Permissions Permissions.__iand__ (self, int mask)

### int Permissions.__int__ (self)

### Permissions Permissions.__invert__ (self)

### Permissions Permissions.__ior__ (self, Permissions f)

### Permissions Permissions.__ixor__ (self, Permissions f)

### bool Permissions.__ne__ (self, Permissions f)

### Permissions Permissions.__or__ (self, Permissions f)

### Permissions Permissions.__xor__ (self, Permissions f)